Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class Immutable.Collection<V>

    java.lang.Object
      java.util.AbstractCollection<V>
          org.jivesoftware.util.Immutable.Collection<V>

All Implemented Interfaces:
  Iterable<V>, Collection<V>

Enclosing class:
  Immutable

    public static class Immutable.Collection<V>

extends AbstractCollection<V>

Wraps an existing `Immutable.Collection` to provide read-only access to its contents.

Constructor Summary
`Immutable.Collection(Collection<V> delegate)`

Method Summary
`Immutable.Iterator<V>` | `iterator()`
`int` | `size()`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### Immutable.Collection

    public Immutable.Collection(Collection<V> delegate)

Method Detail

### iterator

    public Immutable.Iterator<V> iterator()

  Specified by:
    `iterator` in interface `Iterable<V>`
  Specified by:
    `iterator` in interface `Collection<V>`
  Specified by:
    `iterator` in class `AbstractCollection<V>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<V>`
  Specified by:
    `size` in class `AbstractCollection<V>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.